Chatbot intents
Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
Body
namestringRequiredExample:
The name of the new intent.
Register returnconfidenceScorenumber · max: 1RequiredExample:
The required minimum confidence score (0.0-1.0).
0.8Responses
201
Intent created successfully.
application/json
400
Invalid input data.
403
Insufficient permissions.
post
/v1/chatbots/{chatbotId}/intentsAuthorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
intentIdstringRequired
The ID of the intent to retrieve.
Responses
200
Details of the intent.
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
get
/v1/chatbots/{chatbotId}/intents/{intentId}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
intentIdstringRequired
The ID of the intent to delete.
Responses
200
Result of the deletion process.
application/json
deletedbooleanRequiredExample:
Indicates whether the deletion was successful.
trueerrorstringOptional
Optional error message.
403
Insufficient permissions.
delete
/v1/chatbots/{chatbotId}/intents/{intentId}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
intentIdstringRequired
The ID of the intent to update.
Body
namestringOptionalExample:
The new name for the intent.
Returns and exchangesconfidenceScorenumber · max: 1OptionalExample:
The new confidence score for the intent.
0.85trainingRequiredbooleanOptionalExample:
Whether the intent requires training.
trueResponses
200
Intent updated successfully.
application/json
errorstringOptional
Optional error message.
400
Invalid input data.
403
Insufficient permissions.
patch
/v1/chatbots/{chatbotId}/intents/{intentId}Last updated